using System.Dynamic;

namespace Tiobon.Core.Model;

public class ServiceFormResult<T>
{
    public int code { get; set; } = 0;
    public string message { get; set; }
    public ServiceFormItemResult<T> result { get; set; } = new ServiceFormItemResult<T> { };
    public string type { get; set; } = "success";
    public bool Success { get; set; } = true;
    public string Message { get; set; }
}

public class ServiceFormItemResult<T>
{
    public List<T> DT_TableDataT1 { get; set; } = new List<T> { };

    public dynamic JM_PageFormActionsT1 { get; set; } = new ExpandoObject();
    public dynamic DT_PageMutiMsg { get; set; } = new ExpandoObject();
    public dynamic JM_TableColumnT1 { get; set; } = new ExpandoObject();
    public dynamic JM_PageFormT1 { get; set; } = new ExpandoObject();
}